## kbookmarks 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project(KBookmarks VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMQtDeclareLoggingCategory)


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMAddQch)
include(ECMPoQmTools)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KBOOKMARKS
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfigVersion.cmake"
                  SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.7.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Widgets Xml DBus)

find_package(KF5Config ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Codecs ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(autotests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Bookmarks")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Bookmarks_QCH
        FILE KF5BookmarksQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5BookmarksQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5BookmarksConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5BookmarksConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5BookmarksTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5BookmarksTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kbookmarks_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

# contains list of debug categories, for kdebugsettings
install(FILES kbookmarks.categories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kbookmarks 5.3.0

=== debian/changelog ===
kbookmarks (5.3.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 07 Oct 2014 11:18:29 +0100

kbookmarks (5.2.0-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Use pkg-kde-tools version 3 scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Sep 2014 19:41:42 +0200

kbookmarks (5.1.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Update copyright to match licensing to source 

  [ José Manuel Santamaría Lema ]
  * Update libraries *.install paths so a soname bump doesn't go
    unnoticed.

  [ Scarlett Clark ]
  * New upstream release
  * Patch symbols with batchpatch 

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 05 Aug 2014 17:12:24 +0200

kbookmarks (5.0.0-0ubuntu1) utopic; urgency=medium

  * Initial stable upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 15 Jul 2014 10:36:19 +0200

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.2.0),
               libkf5attica-dev (>= 5.3.0),
               libkf5auth-dev (>= 5.3.0),
               libkf5codecs-dev (>= 5.3.0),
               libkf5completion-dev (>= 5.3.0),
               libkf5config-dev (>= 5.3.0),
               libkf5configwidgets-dev (>= 5.3.0),
               libkf5coreaddons-dev (>= 5.3.0),
               libkf5dbusaddons-dev (>= 5.3.0),
               libkf5globalaccel-dev (>= 5.3.0),
               libkf5guiaddons-dev (>= 5.3.0),
               libkf5i18n-dev (>= 5.3.0),
               libkf5iconthemes-dev (>= 5.3.0),
               libkf5itemviews-dev (>= 5.3.0),
               libkf5kjs-dev (>= 5.3.0),
               libkf5service-dev (>= 5.3.0),
               libkf5sonnet-dev (>= 5.3.0),
               libkf5textwidgets-dev (>= 5.3.0),
               libkf5widgetsaddons-dev (>= 5.3.0),
               libkf5windowsystem-dev (>= 5.3.0),
               libkf5xmlgui-dev (>= 5.3.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               xauth,
               xvfb
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kbookmarks.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kbookmarks.git

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev,
         libkf5iconthemes-dev,
         libkf5xmlgui-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5bookmarks5-data
Replaces: libkf5bookmarks5-data
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks5-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: libkf5bookmarks5 (= ${binary:Version}), ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains debug symbols for kbookmarks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT=5

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkf5bookmarks5-dbg

override_dh_auto_test:
	xvfb-run -a $(overridden_command)

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d\.]*)/kbookmarks-(.*)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d\.]*)/kbookmarks-(.*)\.tar\.xz

## kbookmarks 5.9.0

=== debian/changelog ===
kbookmarks (5.9.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 13 Apr 2015 22:25:37 +0200

kbookmarks (5.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Mar 2015 15:35:15 +0100

kbookmarks (5.7.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 10 Feb 2015 16:28:30 +0100

kbookmarks (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 06 Jan 2015 19:51:58 +0100

kbookmarks (5.5.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 12:47:23 +0100

kbookmarks (5.4.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 15:09:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,36 +5,36 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.2.0),
-               libkf5attica-dev (>= 5.3.0),
-               libkf5auth-dev (>= 5.3.0),
-               libkf5codecs-dev (>= 5.3.0),
-               libkf5completion-dev (>= 5.3.0),
-               libkf5config-dev (>= 5.3.0),
-               libkf5configwidgets-dev (>= 5.3.0),
-               libkf5coreaddons-dev (>= 5.3.0),
-               libkf5dbusaddons-dev (>= 5.3.0),
-               libkf5globalaccel-dev (>= 5.3.0),
-               libkf5guiaddons-dev (>= 5.3.0),
-               libkf5i18n-dev (>= 5.3.0),
-               libkf5iconthemes-dev (>= 5.3.0),
-               libkf5itemviews-dev (>= 5.3.0),
-               libkf5kjs-dev (>= 5.3.0),
-               libkf5service-dev (>= 5.3.0),
-               libkf5sonnet-dev (>= 5.3.0),
-               libkf5textwidgets-dev (>= 5.3.0),
-               libkf5widgetsaddons-dev (>= 5.3.0),
-               libkf5windowsystem-dev (>= 5.3.0),
-               libkf5xmlgui-dev (>= 5.3.0),
+               extra-cmake-modules (>= 1.8.0),
+               libkf5attica-dev (>= 5.9.0),
+               libkf5auth-dev (>= 5.9.0),
+               libkf5codecs-dev (>= 5.9.0),
+               libkf5completion-dev (>= 5.9.0),
+               libkf5config-dev (>= 5.9.0),
+               libkf5configwidgets-dev (>= 5.9.0),
+               libkf5coreaddons-dev (>= 5.9.0),
+               libkf5dbusaddons-dev (>= 5.9.0),
+               libkf5globalaccel-dev (>= 5.9.0),
+               libkf5guiaddons-dev (>= 5.9.0),
+               libkf5i18n-dev (>= 5.9.0),
+               libkf5iconthemes-dev (>= 5.9.0),
+               libkf5itemviews-dev (>= 5.9.0),
+               libkf5kjs-dev (>= 5.9.0),
+               libkf5service-dev (>= 5.9.0),
+               libkf5sonnet-dev (>= 5.9.0),
+               libkf5textwidgets-dev (>= 5.9.0),
+               libkf5widgetsaddons-dev (>= 5.9.0),
+               libkf5windowsystem-dev (>= 5.9.0),
+               libkf5xmlgui-dev (>= 5.9.0),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
                xauth,
                xvfb
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/frameworks/kbookmarks.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kbookmarks.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kbookmarks.git
 
 Package: libkf5bookmarks-dev

## kbookmarks 5.15.0

=== debian/changelog ===
kbookmarks (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:43:13 +0100

kbookmarks (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:10:11 +0100

kbookmarks (5.13.0-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * new upstream release

  [ José Manuel Santamaría Lema ]
  * Disable tests in debian/rules, we are alredy using autopkgtest.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:48:27 +0200

kbookmarks (5.12.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix merge, remove unused broken backport.
  * Vivid backport. 

  [ José Manuel Santamaría Lema ]
  * Update symbols file: mark as optional the symbols gone after
    building with GCC 5

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 03 Aug 2015 14:24:35 +0200

kbookmarks (5.11.0-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.11.0).

 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 22:20:18 +0200

kbookmarks (5.10.0-0ubuntu1) wily; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.0).
 
 -- Maximiliano Curia <maxy@debian.org>  Sun, 28 Jun 2015 22:20:18 +0200

kbookmarks (5.9.0-1) experimental; urgency=medium

  * New upstream release (5.9.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Apr 2015 08:25:38 +0200

kbookmarks (5.8.0-1) experimental; urgency=medium

  * New upstream release (5.8.0).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Mar 2015 11:39:03 +0100

kbookmarks (5.7.0-1) experimental; urgency=medium

  * New upstream release (5.7.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 Mar 2015 22:57:53 +0100

kbookmarks (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.
  * Add basic autopkgtests support.
  * Update watch file.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Jan 2015 11:38:42 +0100

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               libkf5codecs-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5configwidgets-dev (>= 5.15.0~),
               libkf5coreaddons-dev (>= 5.15.0~),
               libkf5iconthemes-dev (>= 5.15.0~),
               libkf5widgetsaddons-dev (>= 5.15.0~),
               libkf5windowsystem-dev (>= 5.15.0~),
               libkf5xmlgui-dev (>= 5.15.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kbookmarks.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kbookmarks.git

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.15.0~),
         libkf5iconthemes-dev (>= 5.15.0~),
         libkf5xmlgui-dev (>= 5.15.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5bookmarks5-data
Replaces: libkf5bookmarks5-data
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks5-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: libkf5bookmarks5 (= ${binary:Version}), ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains debug symbols for kbookmarks.

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,5 @@
 	$(overridden_command) --dbg-package=libkf5bookmarks5-dbg
 
 override_dh_auto_test:
-	xvfb-run -a $(overridden_command)
+	# Disable build time dh_auto_test

## kbookmarks 5.18.0

=== debian/changelog ===
kbookmarks (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:18:23 +0100

kbookmarks (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:13:04 +0100

kbookmarks (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Update symbols files from buildds logs (5.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Oct 2015 19:16:16 +0200

kbookmarks (5.15.0-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:30 +0100

kbookmarks (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:48:48 +0200

kbookmarks (5.13.0-1) unstable; urgency=medium

  * New upstream release (5.13.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 16:22:09 +0200

kbookmarks (5.12.0-2) unstable; urgency=medium

  * Team upload.
  * Update symbols file for hurd-i386

 -- Diane Trout <diane@debian.org>  Sun, 30 Aug 2015 15:56:52 -0700

kbookmarks (5.12.0-1) unstable; urgency=medium

  * New upstream release (5.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 09 Jul 2015 12:43:23 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.15.0~),
-               libkf5codecs-dev (>= 5.15.0~),
-               libkf5config-dev (>= 5.15.0~),
-               libkf5configwidgets-dev (>= 5.15.0~),
-               libkf5coreaddons-dev (>= 5.15.0~),
-               libkf5iconthemes-dev (>= 5.15.0~),
-               libkf5widgetsaddons-dev (>= 5.15.0~),
-               libkf5windowsystem-dev (>= 5.15.0~),
-               libkf5xmlgui-dev (>= 5.15.0~),
+               extra-cmake-modules (>= 5.18.0~),
+               libkf5codecs-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5configwidgets-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5iconthemes-dev (>= 5.18.0~),
+               libkf5widgetsaddons-dev (>= 5.18.0~),
+               libkf5windowsystem-dev (>= 5.18.0~),
+               libkf5xmlgui-dev (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4),
                qttools5-dev (>= 5.4),
@@ -21,7 +21,6 @@
                xauth,
                xvfb
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/kbookmarks.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/kbookmarks.git
@@ -30,9 +29,9 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5bookmarks5 (= ${binary:Version}),
-         libkf5configwidgets-dev (>= 5.15.0~),
-         libkf5iconthemes-dev (>= 5.15.0~),
-         libkf5xmlgui-dev (>= 5.15.0~),
+         libkf5configwidgets-dev (>= 5.16.0~),
+         libkf5iconthemes-dev (>= 5.16.0~),
+         libkf5xmlgui-dev (>= 5.16.0~),
          qtbase5-dev (>= 5.4),
          ${misc:Depends}
 Description: Qt library with support for bookmarks and the XBEL format.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-export QT_SELECT=5
 
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 
@@ -10,4 +8,3 @@
 
 override_dh_auto_test:
 	# Disable build time dh_auto_test
-

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/kbookmarks-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/kbookmarks-([\d.]+)\.tar\.xz

## kbookmarks 5.26.0

=== debian/changelog ===
kbookmarks (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:41:26 +0100

kbookmarks (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:37:39 +0000

kbookmarks (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:08:11 +0200

kbookmarks (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release. 
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:11:46 -0700

kbookmarks (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:07 +0100

kbookmarks (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:33:46 +0100

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.26.0~),
               libkf5codecs-dev (>= 5.26.0~),
               libkf5config-dev (>= 5.26.0~),
               libkf5configwidgets-dev (>= 5.26.0~),
               libkf5coreaddons-dev (>= 5.26.0~),
               libkf5iconthemes-dev (>= 5.26.0~),
               libkf5widgetsaddons-dev (>= 5.26.0~),
               libkf5windowsystem-dev (>= 5.26.0~),
               libkf5xmlgui-dev (>= 5.26.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.26.0~),
         libkf5iconthemes-dev (>= 5.26.0~),
         libkf5xmlgui-dev (>= 5.26.0~),
         qtbase5-dev (>= 5.4),
         ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5bookmarks5-data
Replaces: libkf5bookmarks5-data
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

## kbookmarks 5.28.0

=== debian/changelog ===
kbookmarks (5.28.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.28)
  * Bump group breaks (5.28)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Nov 2016 16:05:50 +0100

kbookmarks (5.27.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.27)
  * Bump group breaks (5.27)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 15 Oct 2016 17:05:20 +0200

kbookmarks (5.26.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.26)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 Sep 2016 12:01:31 +0200

kbookmarks (5.25.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Bump group breaks (5.25)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 20 Aug 2016 16:50:46 +0200

kbookmarks (5.23.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Jun 2016 20:24:28 +0200

kbookmarks (5.22.0-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 May 2016 09:20:41 +0200

kbookmarks (5.22.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Replace the "Historical name" ddeb-migration by its "Modern, clearer" replacement dbgsym-migration.
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Update acc test script
  * uscan no longer supports more than one main upstream tarball being listed

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 May 2016 22:21:41 +0200

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.28.0~),
               libkf5codecs-dev (>= 5.28.0~),
               libkf5config-dev (>= 5.28.0~),
               libkf5configwidgets-dev (>= 5.28.0~),
               libkf5coreaddons-dev (>= 5.28.0~),
               libkf5iconthemes-dev (>= 5.28.0~),
               libkf5widgetsaddons-dev (>= 5.28.0~),
               libkf5windowsystem-dev (>= 5.7.0),
               libkf5xmlgui-dev (>= 5.28.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/frameworks/kbookmarks.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/frameworks/kbookmarks.git

Package: libkf5bookmarks-dev
Section: libdevel
Architecture: any
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.28.0~),
         libkf5iconthemes-dev (>= 5.28.0~),
         libkf5xmlgui-dev (>= 5.28.0~),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.
Breaks: kio-dev (<< 5.28), libkf5kio-dev (<< 5.28)

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
Breaks: libkf5kiofilewidgets5 (<< 5.28)

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5bookmarks5-data
Replaces: libkf5bookmarks5-data
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export QT_SELECT=5

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5bookmarks5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	HOME=$$(mktemp -d) xvfb-run -a $(overridden_command)

## kbookmarks 5.31.0

=== debian/changelog ===
kbookmarks (5.31.0-0ubuntu1) zesty; urgency=medium

  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (5.31.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 Feb 2017 22:49:58 +0000

kbookmarks (5.30.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.30.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 01 Feb 2017 18:33:35 +0000

kbookmarks (5.28.0-0ubuntu1) zesty; urgency=low

  [ Rik Mills ]
  * New upstream release (5.27.0)
  * Merge with debian/master

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git field to use https:// instead of git://
  * New upstream release (5.28.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 05 Dec 2016 20:15:27 +0000

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks

Package: libkf5bookmarks-dev
Architecture: any
Section: libdevel
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.31.0~),
         libkf5iconthemes-dev (>= 5.31.0~),
         libkf5xmlgui-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5bookmarks5-data
Replaces: libkf5bookmarks5-data
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

## kbookmarks 5.38.0

=== debian/changelog ===
kbookmarks (5.38.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.38.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 11 Sep 2017 13:14:08 +0100

kbookmarks (5.37.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.37.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 12 Aug 2017 18:46:44 +0100

kbookmarks (5.36.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.36.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 11 Jul 2017 23:51:47 +0100

kbookmarks (5.35.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.35.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2017 22:56:40 +0100

kbookmarks (5.34.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.34.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 15 May 2017 21:24:33 +0100

kbookmarks (5.33.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.33.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 29 Apr 2017 18:03:29 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5codecs-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5coreaddons-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
-               libkf5xmlgui-dev (>= 5.31.0~),
+               extra-cmake-modules (>= 5.38.0~),
+               libkf5codecs-dev (>= 5.38.0~),
+               libkf5config-dev (>= 5.38.0~),
+               libkf5configwidgets-dev (>= 5.38.0~),
+               libkf5coreaddons-dev (>= 5.38.0~),
+               libkf5iconthemes-dev (>= 5.38.0~),
+               libkf5widgetsaddons-dev (>= 5.38.0~),
+               libkf5windowsystem-dev (>= 5.38.0~),
+               libkf5xmlgui-dev (>= 5.38.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
@@ -29,9 +29,9 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5bookmarks5 (= ${binary:Version}),
-         libkf5configwidgets-dev (>= 5.31.0~),
-         libkf5iconthemes-dev (>= 5.31.0~),
-         libkf5xmlgui-dev (>= 5.31.0~),
+         libkf5configwidgets-dev (>= 5.38.0~),
+         libkf5iconthemes-dev (>= 5.38.0~),
+         libkf5xmlgui-dev (>= 5.38.0~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: Qt library with support for bookmarks and the XBEL format.

## kbookmarks 5.44.0

=== debian/changelog ===
kbookmarks (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:18 +0000

kbookmarks (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:01 +0000

kbookmarks (5.42.0-0ubuntu1) bionic; urgency=medium

  * Install kbookmarks.categories file
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:02 +0000

kbookmarks (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:03:14 -0600

kbookmarks (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:10 +0000

=== debian/control ===
Source: kbookmarks
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5codecs-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5configwidgets-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kbookmarks
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kbookmarks

Package: libkf5bookmarks-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5bookmarks5-data
Replaces: libkf5bookmarks5-data
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 This package contains the translations.

Package: libkf5bookmarks-dev
Architecture: any
Section: libdevel
Depends: libkf5bookmarks5 (= ${binary:Version}),
         libkf5configwidgets-dev (>= 5.44.0~),
         libkf5iconthemes-dev (>= 5.44.0~),
         libkf5xmlgui-dev (>= 5.44.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.
 .
 Contains development files for kbookmarks.

Package: libkf5bookmarks5
Architecture: any
Multi-Arch: same
Depends: libkf5bookmarks-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt library with support for bookmarks and the XBEL format.
 KBookmarks lets you access and manipulate bookmarks stored using the
 XBEL format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5bookmarks5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable build time dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/kbookmarks-([\d.]+)\.tar\.xz
